Subject: Re: [PATCH 3/4] ptp: use is_visible method to hide unused attributes

From: Richard Cochran <[email-masked]>
Date: Tue, 14 Feb 2017 09:42:26 +0100

On Mon, Feb 13, 2017 at 07:51:07PM -0800, Dmitry Torokhov wrote:
> Instead of creating selected attributes after the device is created (and
> after userspace potentially seen uevent), lets use attribute group
> is_visible() method to control which attributes are shown. This will allow
> us to create all attributes (except "pins" group, which will be taken care
> of later) before userspace gets notified about new ptp class device.

At first glance, this patch and the next look like nice improvements.
I don't futz around with sysfs code very often, and so may I ask how
or whether you tested it?

Thanks,
Richard